| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::CompositorWrapper Class Referencefinal

Wraps a nkGraphics::Compositor and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | getNode (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | load (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | unload (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::Compositor and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::CompositorWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ getNode()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CompositorWrapper::getNode | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Compositor::getNode().

local n = c:getNode(0) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkGraphics::CompositorNode.

## ◆ load()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CompositorWrapper::load | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Compositor::load().

c:load() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a bool.

## ◆ unload()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CompositorWrapper::unload | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for the nkGraphics::Compositor::unload().

c:unload() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Compositors/CompositorWrapper.h